echo off
rem Batch File for Installing NEWOPUS Package
rem by Alan Applegate and Lee Lasson
rem
rem Copyright (C) 1987 Alan Applegate and Lee Lasson, All Rights Reserved
rem Permission Granted to Distribute This File to All Opus Sysops,
rem Present and Future!
cls
echo Installation Batch File for NEWOPUS Package
echo Copyright (C) 1987 Alan Applegate and Lee Lasson
echo 
echo PLEASE!  If you have NOT read the NEWOPUS.DOC file, please print the
echo file and have it ready before you continue!  It contains important
echo step-by-step installation information.  
echo 
echo Press CTRL-C to abort this batch file, or
pause
cls
echo Installation Batch File for NEWOPUS Package 
echo Copyright (C) 1987 Alan Applegate and Lee Lasson
echo 
echo NOTE!  DOS 3.0 or higher *may* be required in order for this batch
echo file to work.  You also need the following files in your ROOT
echo directory...
echo 
echo    NEWOPUS1.ARC          NEWOPUS2.ARC               NEWOPUS3.ARC
echo    PKXARC.COM            AUTOEXEC.BAT 
echo 
echo This file will append your AUTOEXEC.BAT file with the information
echo needed to run Opus.  If you are in a time zone OTHER than Mountain,
echo or if it is NOT currently Mountain Daylight Time, you will need to
echo change the AUTOEXEC.BAT file after we get done with it.  Instructions
echo will be located in the finished AUTOEXEC.BAT file.  If you are in a
echo time zone OTHER than Mountain, then you will need to consult the 
echo Opus documentation.
echo 
echo You will also need to make sure that ANSI.SYS is loaded via your 
echo CONFIG.SYS file.  This batch file will not handle this activity for
echo you.
echo 
pause
cls  
echo Installation Batch File for NEWOPUS Package
echo Copyright (C) 1987 Alan Applegate and Lee Lasson
echo 
echo Furthermore, this batch file makes the assumption that you are going
echo to install Opus as per the instructions contained in NEWOPUS.DOC, and
echo that you are going to install it on the C: drive.
echo 
echo Please be aware that Opus will require as much as 1.5 Meg of hard disk
echo to operate, not including ANY messages or files.  Opus WILL NOT run
echo on a floppy based system (for all practical purposes).
echo 
echo If you do not have this much space available, make space before going
echo on.  If you are unwilling to devote this much space to a BBS, press
echo CTRL-C now to abort the installation.
echo 
echo NOTE:  The NEWOPUS.ARC file needs to have been un-packed into your
echo ROOT directory.  If that's not the case, then move the files into your
echo ROOT.  This batch file will perform housecleaning after it's through.
echo 
pause

cls
if not exist C:\NEWOPUS1.ARC goto missing2
if not exist C:\NEWOPUS2.ARC goto missing3
if not exist C:\NEWOPUS3.ARC goto missing4
if not exist C:\PKXARC.COM goto missing5
if not exist C:\AUTOEXEC.BAT goto missing6
if not exist C:\OPUS_103.ARC goto missing7
if not exist C:\OMMM_104.ARC goto missing8
if not exist C:\ONODE146.ARC goto missing9
if not exist C:\XLATRGEN.ARC goto missing10
echo Everything appears to be in order.  Making directories.
echo 
C:
cd \
md \opus
md \opus\hlp
md \opus\misc
md \opus\outbound
md \opus\nodelist
md \msg
md \msg\comments
md \msg\general
md \msg\net
md \msg\fidosysp
md \file
md \file\general
md \file\net
md \file\ibm

pkxarc opus_103.arc \opus opus.exe
del opus_103.arc
pkxarc ommm_104.arc \opus
del ommm_104.arc
pkxarc onode146.arc \opus\nodelist
del onode146.arc
pkxarc xlatrgen.arc \opus\nodelist
del xlatrgen.arc 
del \opus\nodelist\xlatlist.ctl
pkxarc newopus1.arc \opus
del newopus1.arc
pkxarc newopus2.arc \opus\misc
del newopus2.arc
pkxarc newopus3.arc \opus\hlp
del newopus3.arc

cd \opus
copy \opus\nodelist.366 \opus\nodelist
del nodelist.366

copy \autoexec.bat+\opus\ostart.bat \autoexec.bat
del ostart.bat

copy dir0m.bbs  \msg\comments\dir.bbs
del  dir0m.bbs
copy dir1m.bbs  \msg\general\dir.bbs
del  dir1m.bbs
copy dir2m.bbs  \msg\net\dir.bbs
del  dir2m.bbs
copy dir30m.bbs \msg\fidosysp\dir.bbs
del  dir30m.bbs

copy dir1f.bbs  \file\general\dir.bbs
del  dir1f.bbs
copy dir2f.bbs  \file\ibm\dir.bbs
del  dir2f.bbs

copy files1.bbs \file\general\files.bbs
del  files1.bbs
copy files2.bbs \file\ibm\files.bbs
del  files2.bbs

copy xlatlist.ctl \opus\nodelist
del  xlatlist.ctl

cls
echo Done!
echo 
echo Now, refer back to the NEWOPUS.DOC for information on finishing
echo this process, and enjoy OPUS!

goto end

:missing1
echo NEWOPUS.ARC is missing.
goto end
:missing2
echo NEWOPUS1.ARC is missing.
goto end
:missing3
echo NEWOPUS2.ARC is missing.
goto end
:missing4
echo NEWOPUS3.ARC is missing.
goto end
:missing5
echo PKXARC.COM is missing.
goto end
:missing6
echo AUTOEXEC.BAT is missing.
goto end
:missing7
echo OPUS_103.ARC is missing.
goto end
:missing8
echo OMMM_104.ARC is missing.
goto end
:missing9
echo ONODE146.ARC is missing.
goto end
:missing10
echo XLATRGEN.ARC is missing.
goto end




:end
cd \

